Bug 822136 - Partial activation should not activate completely missing devices
Partial activation should not activate completely missing devices
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2 (Show other bugs)
7.0
All Linux
medium Severity medium
: pre-dev-freeze
: ---
Assigned To: LVM and device-mapper development team
cluster-qe@redhat.com
: FutureFeature
Depends On: 816672
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 08:58 EDT by Alasdair Kergon
Modified: 2018-05-02 00:43 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 816672
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alasdair Kergon 2012-05-16 08:58:24 EDT
+++ This bug was initially created as a clone of Bug #816672 +++

1) If all areas used by a segment are missing, the whole segment should be mapped to an error target.

2) The test that was removed from add_areas_line() in 

http://www.redhat.com/archives/lvm-devel/2012-May/msg00024.html

needs instead to be re-coded elsewhere to consider the LV as a whole - check all segments at once, not each individually.  If all segments consist of missing areas that are getting mapped to error devices, then refuse to activate the device.  (This needs to take full account of the device stack.)


(If this is too complicated to do correctly, then we might end up closing it WONTFIX.)
Comment 1 Tom Lavigne 2012-09-07 11:23:44 EDT
This request was evaluated by Red Hat Product Management for 
inclusion in the current release of Red Hat Enterprise Linux.
Since we are unable to provide this feature at this time,  
it has been proposed for the next release of 
Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.